/******************************************************************************
 * messages.c
 * Federico Bareilles
 * 31/01/2003
 *
 *
 *****************************************************************************/

#define _POSIX_SOURCE 1         /* POSIX compliant source  */

#include <stdio.h>
//#include <getopt.h>
//#include <errno.h>
#include <string.h>
//#include <stdlib.h>
#include "tipper_red.h"


char *help_text[] ={
#ifdef VERBOSE_MODE
  "  -v\t\t\t- verbose mode.",
#endif
  "  -t, --time\t\t- time offset in secons (+/-).",
  "  -a, --angles\t\t- number of angles in tipping.",
  "  --nocorrection\t- ingnore corrections voltages and zener.",
  "  -s, --nospillover\t- ingnore corrections fot spillover (SR6 unit).",
  "  -n, --noreduction\t- no fit Tau, print all data scans.",
  "  -l, --nolinear\t- no linear fit.",
  "  -m, --lmatrix\t\t- linear model. Fit g.n.Ta.exp(-t0.x). No log.",
  "  --tempe\t\t- only out teperatures and not fit Tau.",
  "  --tsig\t\t- ouput Sigma(tau) and Temp(adq) for correlation.",
  "  --online\t\t- Prosses point by point, and whait for new points.",
  "  --help\t\t- this help !!!.",
  ""
};


void usage()
{
  /*cartel();*/
  fprintf(stderr,
#ifdef VERBOSE_MODE
          "Usage: \t%s (v%s) [-vtasnlm][--time t][--angle a][--nocorrection][--nospillover][--noreduction][--tempe][--tsig][--online][--help] file_in [file_out]\n",
#else
          "Usage: \t%s (v%s)[-tasnlm][--time t][--angle a][--nocorrection][--nospillover][--noreduction][--tempe][--tsig][--online][--help] file_in [file_out]\n",
#endif
           program_name, program_version);
}

void help()
{
  int i=0;

  while((char) *help_text[i] != 0)
    fprintf(stderr,"%s\n",help_text[i++]);
 fprintf(stderr,"\n");
}

